using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;

namespace CreateMethods
{
    class Program
    {
        static void Main(string[] args)
        {
            test1();
            Console.WriteLine(test2());
            test3();
            test4();
            test5();
            Console.ReadLine();
        }

        static void test1()
        {
            Console.WriteLine("static void test1");
        }

        static string test2()
        {
            string epistrofiTimis = "static string test2";
            return epistrofiTimis;
        }

        static void test3()
        {
            while (true)
            {
                int i = 5;
                if (i == 5)
                {
                    Console.WriteLine(i);
                    break;
                }
            }       
        }

        static void test4 ()
        {
            int i = 0;
            while (true)
            {
                Thread.Sleep(400);
                if (i<10)
                {
                    Console.WriteLine(i);
                    i++;
                    continue;
                    Console.WriteLine("continue");
                }   
                break;
            }  
            return;
            Console.WriteLine("01");
            Console.WriteLine("02");
            Console.WriteLine("03");
            Console.WriteLine("04");
        }

        static void test5()
        {
            int i = 0;
            while (true)
            {
                Thread.Sleep(200);
                if (i < 10)
                {
                    Console.WriteLine(i);       
                    continue;
                    i++;
                }
                break;
            }
        }
    }
}
